terminal.h File Reference

terminal prompt interface (API) More...

Go to the source code of this file.

## Functions

void | terminal_setup (void)
| initialize terminal prompt
void | terminal_send (char c)
| send character to terminal More...

## Variables

char * | terminal_prefix
| terminal prompt prefix
void(* | terminal_process )(char *line)
| called when a line is entered More...

## Detailed Description

terminal prompt interface (API)

Note
  allows line editing and supports some ANSI escape codes

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file terminal.h.

## Function Documentation

## terminal_send()

void terminal_send | ( | char | c | ) |

send character to terminal

Parameters

  [in] | c | character to send

Definition at line 316 of file terminal.c.

## Variable Documentation

## terminal_process

void(* terminal_process) (char *line)

called when a line is entered

Parameters

  [in] | line | line entered by user (NULL on CTRL+D)

Definition at line 33 of file terminal.c.